%define __os_install_post       true

Summary: Artwork for Asianux default look-and-feel
Name: asianux-artwork
Version: 2.0
Release: 37%{?dist}
URL: http://www.asianux.com
Group: User Interface/Desktops
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
Conflicts: qt < 3.0.4-11
Conflicts: gtk-engines < 0.11-13
Conflicts: kdebase <= 3.0.2-6
# we don't want to require gtk/qt
Autoreq: 0
BuildRequires: gtk2-devel >= 2.0.3-3
BuildRequires: qt-devel >= 3.0.5
Requires: kdebase
Requires: ghostscript
Source0: %{name}-%{version}.tar.gz
Source1: lsworkgroups
Source2: crystalsvg.tgz
Source4: tips
Source5: klaunch.tgz
Source6: kside-ax.png
Source7: wallpaper.tgz
Source8: dot.gtkrc-2.0
Source9: dot.fonts.conf.ja
Source10: dot.fonts.conf.zh
Source11: dot.fonts.conf.ko
Source12: usbpendrive-icon.tgz
Source13: system-icon.tgz
Source14: COPYING
Patch0: asianux-artwork-2.0-minipagerapplet.patch
Patch1: asianux-artwork-2.0-desktopdirectory.patch
Patch2: asianux-artwork-2.0-del-kickerrc.patch
Patch3: asianux-artwork-2.0-modify-kcmartsrc.patch
Patch4: asianux-artwork-2.0-mycomputer-translation.patch
Patch5: asianux-artwork-2.0-terminalfont.patch

#Asianux
Patch100: asianux-artwork-2.0-asianux-desktop_name.patch
Patch101: asianux-artwork-2.0-modify-kdeglobals_kwinrc.patch
Patch102: asianux-artwork-2.0-del-config.patch
Patch103: asianux-artwork-2.0-del-printconfigview.patch
Patch104: asianux-artwork-2.0-desktop-TextWidth.patch
Patch105: asianux-artwork-2.0-zh_TW.patch
Patch106: asianux-artwork-2.0-asianux-desktop_menu.patch
Patch107: asianux-artwork-2.0-Neighbor-spelling.patch

%description
This is a Theme for Asianux.

%prep
rm -rf $RPM_BUILD_ROOT/
mkdir -p $RPM_BUILD_ROOT/
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

#Asianux
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1

%build
cp -aR  usr $RPM_BUILD_ROOT/
mkdir -p $RPM_BUILD_ROOT/root/   $RPM_BUILD_ROOT/etc/skel
cp -r config/.kde $RPM_BUILD_ROOT/root/
cp -r config/.kde $RPM_BUILD_ROOT/etc/skel
cp -aR  Desktop "$RPM_BUILD_ROOT"/root/
cp -R Desktop "$RPM_BUILD_ROOT"/etc/skel/
cp -a %{SOURCE8} $RPM_BUILD_ROOT/root/.gtkrc-2.0
cp -a %{SOURCE8} $RPM_BUILD_ROOT/etc/skel/.gtkrc-2.0
cp -a %{SOURCE9} $RPM_BUILD_ROOT/root/.fonts.conf.ja
cp -a %{SOURCE9} $RPM_BUILD_ROOT/etc/skel/.fonts.conf.ja
cp -a %{SOURCE10} $RPM_BUILD_ROOT/root/.fonts.conf.zh
cp -a %{SOURCE10} $RPM_BUILD_ROOT/etc/skel/.fonts.conf.zh
cp -a %{SOURCE11} $RPM_BUILD_ROOT/root/.fonts.conf.ko
cp -a %{SOURCE11} $RPM_BUILD_ROOT/etc/skel/.fonts.conf.ko
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cp -f kdmtitle-ax.png  $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/usr/share/wallpapers
tar xzf %{SOURCE7} -C $RPM_BUILD_ROOT/usr/share/wallpapers
cp -f mycomputer.desktop $RPM_BUILD_ROOT/root/Desktop
cp -f mycomputer.desktop $RPM_BUILD_ROOT/etc/skel/Desktop

mkdir -p $RPM_BUILD_ROOT/usr/bin
cp -r %{SOURCE1} $RPM_BUILD_ROOT/usr/bin
chmod +x $RPM_BUILD_ROOT/usr/bin/lsworkgroups
mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kdeprint
mkdir -p $RPM_BUILD_ROOT/usr/share
mkdir -p $RPM_BUILD_ROOT/usr/share/desktop-directories
tar zxf %{SOURCE2} -C $RPM_BUILD_ROOT/usr/share/icons
mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kontact
cp -r %{SOURCE4} $RPM_BUILD_ROOT/usr/share/apps/kontact

mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kicker/wallpapers
tar zxf %{SOURCE5} -C $RPM_BUILD_ROOT/usr/share/apps/kicker/wallpapers

# Links
ln -fs /usr/share/wallpapers/background-ax.jpg $RPM_BUILD_ROOT/usr/share/wallpapers/background.jpg
ln -fs /etc/sysconfig/kdmtitle-ax.png /etc/sysconfig/kdmtitle.png
ln -fs /usr/lib/rfmin/data/rfmin_logo-ax.png $RPM_BUILD_ROOT/usr/lib/rfmin/data/rfmin_logo.png
rm -rf $RPM_BUILD_ROOT/usr/share/apps/kicker/pics/kside-ax.png
cp -r %{SOURCE6} $RPM_BUILD_ROOT/usr/share/apps/kicker/pics/
ln -fs /usr/share/apps/kicker/pics/kside-ax.png $RPM_BUILD_ROOT/usr/share/apps/kicker/pics/kside.png
ln -fs /usr/share/apps/ksmserver/pics/shutdownkonq-ax.png $RPM_BUILD_ROOT/usr/share/apps/ksmserver/pics/shutdownkonq.png

# Remove unneeded files
rm -rf $RPM_BUILD_ROOT/usr/share/apps/kdeprint
rm -f $RPM_BUILD_ROOT/usr/share/icons/crystalsvg/22x22/actions/khtml_kget.png \
  $RPM_BUILD_ROOT/usr/share/icons/crystalsvg/48x48/apps/kget.png \
  $RPM_BUILD_ROOT/usr/share/icons/crystalsvg/48x48/mimetypes/kget_list.png

tar zxf %{SOURCE12} -C $RPM_BUILD_ROOT/usr/share/icons
tar zxf %{SOURCE13} -C $RPM_BUILD_ROOT/usr/share/icons

# Remove icons whose name are yast_*
find $RPM_BUILD_ROOT/usr/share/icons/crystalsvg/ -name yast_* -exec rm -f {} \;

# Install License regulation file
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/asianux-artwork/
install -m 644 %{SOURCE14} $RPM_BUILD_ROOT/usr/share/doc/asianux-artwork/

%post

%postun

%files
%defattr(-,root,root)
/etc/skel/*
/etc/skel/.fonts*
%config /etc/skel/.gtkrc-2.0
%config /etc/skel/.kde/share/config/kcmartsrc
%config /etc/skel/.kde/share/config/kdeglobals
%config /etc/skel/.kde/share/config/kdesktoprc
%config /etc/skel/.kde/share/config/konsolerc
%config /etc/skel/.kde/share/config/kwinrc
/etc/sysconfig/*
/root/*
/root/.fonts*
%config /root/.gtkrc-2.0
%config /root/.kde/share/config/kcmartsrc
%config /root/.kde/share/config/kdeglobals
%config /root/.kde/share/config/kdesktoprc
%config /root/.kde/share/config/konsolerc
%config /root/.kde/share/config/kwinrc
/usr/bin/*
/usr/lib/*
/usr/share/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Apr 17 2009 Hua Jie <jie.hua@asianux.com> 2.0-37%{?dist}
- correct the Asianux URL (AXBug #6107)

* Thu Jul 10 2008 Shu Li <shu.li@asianux.com> 2.0-36%{?dist}
- add parameter %config for config file. 

* Wed Mar 26 2008 Hua Jie <jiehua@redflag-linux.com> 2.0-35%{?dist}
- change system icons(source13) to correct one
- remove some icons whose name are yast_*
- remove patch108, I will fix it in kdebase
- include license regulation file

* Wed Mar 26 2008 Hua Jie <jiehua@redflag-linux.com> 2.0-34%{?dist}
- add usbpendrive-icon(source12)
- turn off file preview function by set MaximumSize to 0(patch108)

* Wed Mar 05 2008 Hua Jie <jiehua@redflag-linux.com> 2.0-33%{?dist}
- add patch and modify spec file based on 2.0-32AX
- correct spelling of word Neightbor(patch107)

* Wed Jul 26 2007 Ryoji Kamei <kamei@miraclelinux.com> 2.0-32AX
- add .gtkrc-2.0 to improve visibility of gtk2 apps (#3323)
- add custom .fonts.conf for each languages (#3323)

* Mon Jul 16 2007 Ki-Young, Lee <kylee@haansoft.com> 2.0-31AX
- modify asianux-artwork-2.0-asianux-desktop_name.patch
- modify hardware, looknfeel name( ja )

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com> 2.0-30AX
- added to asianux-artwork-2.0-asianux-desktop_menu.patch(change menu)
- modify crystalsvg.tgz
- modify asianux-artwork-2.0-asianux-desktop_name.patch

* Thu Jun 28 2007 Shu Li <shuli@redflag-linux.com> 2.0-29AX
- add asianux-artwork-2.0-zh_TW.patch for some zh_TW translation.

* Fri Jun 22 2007 Xiao Liu <xiaoliu@redflag-linux.com> 2.0-28AX
- modify spec and filelist not install kcmartsrc kdesktoprc kwinrc
  and konsolerc into /usr/share/config

* Tue Jun 20 2007 Xiao Liu <xiaoliu@redflag-linux.com> 2.0-27AX
- add Patch#6 to del all old config files designed for Asianux 2.0
  except kcmartsrc kdesktoprc kdeglobals kwinrc and konsolerc
- add Patch#7 to del printconfigview from konqueror menu because
  it will be no use as using our new printer manager
- add Patch#8 to modify the desktop text width for Japanese
  environment
- modify filelist in Source#0
- del the requirement of kdeutils

* Tue Jun 19 2007 Nam, Kwonwoo <kwnam@haansoft.com> 2.0-26AX
- change kside-ax.png image
- change wallpaper
- change source5 for start butten image
- modofy default ColorScheme and WindowStyle

* Mon Jun 18 2007 Ki-Young, Lee <kylee@haansoft.com> 2.0-25AX
- added to patch#100( modify desktop name )
- change kside-ax.png

* Fri Jun 15 2007 Ryoji Kamei <kamei@miraclelinux.com> 2.0-24AX
- change konsole font to make dynamic font size change smoothly
- (Patch5, #2899)

* Tue Jun 12 2007 Ryoji Kamei <kamei@miraclelinux.com> 2.0-23AX
- mycomputer translation update for JK (Patch4) 
- Trivial spec cleanup
-   also add RPM_BUILD_ROOT to %clean section
-   include symlink files to package
-   do not use both patching filelist and %exclude. It's too bogus.
-   Instead, remove unneeded files beforehand and describe simplified 
-   %files section is recommended. It's simple and will be avoiding 
-   packaging bug.
-   TODO: chmod 0755 /usr/share/config/* is not good. It should be
-   treated by each packages that provide files into /usr/share/config.

* Tue May 15 2007 Shu Li <shuli@redflag-linux.com> 2.0-22AX
- modify mycomputer ,use mycomputer.desktop instead of old documents.

* Fri Apr 27 2007 Xiao Liu <xiaoliu@redflag-linux.com> 2.0-21AX
- modify filelist and add Patch#2 to del kickerrc designed for Asianux 2.0
  and use the default file from kdebase
- add Patch#3 to modify kcmartsrc so kde will not check audio card
  in Server machine

* Tue Apr 17 2007 Xiao Liu <xiaoliu@redflag-linux.com> 2.0-20AX
- add Patch#1 to modify desktop directory files for our new
  applications menu structure
- remove kdeutils-kwalletmanager from requirement list
- remove khtml_kget.png, kget.png and kget_list.png

* Thu Apr 12 2007 Xiao Liu <xiaoliu@redflag-linux.com> 2.0-19AX
- del Source#3 for our new applications menu structure
- add Patch#0 to remove minipagerapplet.desktop that brought by kdebase
- modify requirement of kdeutils because the package has been divided into
  many packages
- remove trash that brought by kdebase

* Wed Apr 04 2007 Xiao Liu <xiaoliu@redflag-linux.com> 2.0-18AX
- add Source#5 for new klaunch icons
- rebuild for Asianux3.0

* Mon Nov 27 2006 MORIYAMA Masayuki <moriyama@miraclelinux.com> 2.0-17AX
- remove /etc/skel/.vimrc

* Wed Aug 03 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-16AX
- add documents of cgi, data, fish, mac for KDE help center

* Wed Jul 27 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-15AX
- remove some entry in KDE help center which have no help

* Thu Jul 07 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-14AX
- add kolourpaint and ksnapshot menu
- disable Utilities directory in KDE menu

* Tue Jun 28 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-13AX
- modify the document of KDE FAQ(Simplified Chinese version)

* Mon Jun 27 2005 Nam, Kwonwoo <kwnam@haansoft.com> 2.0-12AX
- tarnslated desktop files into Korean.

* Wed Jun 22 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-11AX
- disable some directories in KDE menu configuration tool
- and open with tool

* Thu Jun 09 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-10AX
- add some translation
- use different config file for x86_64

* Wed Jun 08 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-9AX
- translate some files for Traditional Chinese and Japanese
- change the default wallpaper

* Tue Jun 7 2005 Nam, Kwonwoo<kwnam@haansoftlinux.com> 2.0-8AX
- tarnslated *.desktop files in Korean.

* Mon Jun 6 2005 Jun YOSHIDA<jun@miraclelinux.com> 2.0-7AX
- tarnslated 'CtrlPanel' in Japanese.

=======
* Thu Jun  2 2005 Shiro Yamada <shiro@miraclelinux.com> 2.0-6AX
- update Kontact link translation

* Tue May 31 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-5AX
- change the /root directory to the correct permission

* Wed May 25 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-4AX
- add virtual desktop desktop file
- remove PoseidonPPP.desktop in ppc

* Fri Apr 15 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-3AX
- add icon for kghostview
- remove the Dialer menu in System
- change the name from Trash to Recycle Bin
- change the directory name from mydocument to mydocuments in /usr/share/apps/konqsidebartng/virtual_folders/services/mydocuments.desktop

* Thu Apr 07 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-2AX
- change some icons, menues and pictures

* Thu Mar 22 2005 Hua Jie <jiehua@redflag-linux.com>
- rebuild for Asianux
